<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>IndexWriter (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/doclets/standard/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/doclets/standard/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/doclets/standard/indexwriter.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Doclets\Standard\IndexWriter</div>
<a href="../../../source/doclets/standard/indexwriter.php.html#line25" class="location">doclets/standard/indexWriter.php at line 25</a>

<h1>Class IndexWriter</h1>

<pre class="tree"><a href="../../../phpdoctor/doclets/standard/htmlwriter.html">HTMLWriter</a><br>    └─<strong>IndexWriter</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>IndexWriter</strong><br>extends <a href="../../../phpdoctor/doclets/standard/htmlwriter.html">HTMLWriter</a>

</p>

<div class="comment" id="overview_description"><p>This generates the element index.</p></div>

<hr>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>(<a href="../../../phpdoctor/doclets/doclet.html">Doclet</a> doclet)</p><p class="description">Build the element index.</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#compareElements()">compareElements</a>(mixed element1, mixed element2)</p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\Doclets\Standard\HTMLWriter</th></tr>
<tr><td><a href="../../../phpdoctor/doclets/standard/htmlwriter.html#__construct()">__construct</a></td></tr></table>

<h2 id="detail_method">Method Detail</h2>
<a href="../../../source/doclets/standard/indexwriter.php.html#line32" class="location">doclets/standard/indexWriter.php at line 32</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>(<a href="../../../phpdoctor/doclets/doclet.html">Doclet</a> doclet)</code>
<div class="details">
<p>Build the element index.</p></div>

<hr>

<a href="../../../source/doclets/standard/indexwriter.php.html#line144" class="location">doclets/standard/indexWriter.php at line 144</a>

<h3 id="compareElements()">compareElements</h3>
<code class="signature">public  void <strong>compareElements</strong>(mixed element1, mixed element2)</code>
<div class="details">
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../../../phpdoctor/doclets/standard/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../../phpdoctor/doclets/standard/package-tree.html">Tree</a></li>
<li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../phpdoctor/doclets/standard/indexwriter.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>